{ config, lib, pkgs, ... }: {

  programs.git = {
    enable = true;
    signing = lib.mkIf (config.usercfg.git.key != null) {
      key = config.usercfg.git.key;
      signByDefault = true;
    };
    ignores = [ "*result*" ".direnv" "node_modules" ];
    settings = {
      core.hooksPath = "./.dev/hooks"; 
      user.email = "${config.usercfg.git.email}";
      user.name = "${config.usercfg.git.username}";
    };
  };

  home.packages = with pkgs; [ tig ];
}
